package de.davidochmann.website.vitaoase
{	
	/**
	 * @author dochmann
	 */

	import flash.display.Sprite;
	import de.davidochmann.framework.dosite.DoSite;	
	
	public class VitaOase extends Sprite 
	{
		private var mXmlPath:String;
		private var mDoSite:DoSite;

		public function VitaOase()
		{
			initXmlPath();
			initDoSite();						
		}

		private function initXmlPath():void
		{
			mXmlPath = root.loaderInfo.parameters["xmlPath"];
		}
		
		private function initDoSite():void
		{
			mDoSite = DoSite.getInstance();
			mDoSite.initialize(stage, mXmlPath, true);
			
			addChild(mDoSite.container());
		}
	}
}
