package de.davidochmann.website.vitaoase.background 
{
	/**
	 * @author dochmann
	 */
	 
	import flash.filters.DropShadowFilter;	 
	import flash.display.Stage;	
	import flash.display.Sprite;	
	import de.davidochmann.framework.dosite.interfaces.IContent;

	public class Background extends Sprite implements IContent 
	{
		private static var BODY_COLOR:uint   = 0xFFFFFF; 
		
		private var mWidth:uint;
		private var mHeight:uint;
		
		
		public function Background()
		{
		}

		public function initialize():void
		{
			var dropshadow:DropShadowFilter = new DropShadowFilter(0, 90, 0x000000, .3, 15, 15, 1, 1, false, false, false);			
			
			graphics.beginFill(BODY_COLOR);
			graphics.drawRect(0, 0, mWidth, mHeight);
			graphics.endFill();
			
			filters = [dropshadow];
		}

		public function getStage():Stage
		{
			return null;
		}
		
		public function getWidth():uint
		{
			return mWidth;
		}
		
		public function getHeight():uint
		{
			return mHeight;
		}
		
		public function getId():String
		{
			return null;
		}
		
		public function getPath():String
		{
			return null;
		}
		
		
		public function setStage(pStage:Stage):void
		{
		}
		
		public function setWidth(pWidth:uint):void
		{
			mWidth = pWidth;
		}

		public function setHeight(pHeight:uint):void
		{
			mHeight = pHeight;
		}

		public function setId(pIdentifier:String):void
		{
		}
		
		public function setPath(pPath:String):void
		{
		}
	}
}
