package de.davidochmann.website.vitaoase.navigation.bottom  
{
	/**
	 * @author dochmann
	 */

	import flash.display.Sprite;

	public class BottomLine extends Sprite 
	{
		private static var FLAP_GAP:int    		= -11;
		private static var FLAP_COLOR:uint 		= 0x0172FF; 
		
		private static var LINE_WIDTH:uint  = 1;
		private static var LINE_HEIGHT:uint = 40;
				
		private var mColor1:uint;
		private var mColor2:uint;
		
		
		public function BottomLine(pColor1:uint = 0x000000, 
								 pColor2:uint = 0x111111)
		{
			setColor1(pColor1);
			setColor2(pColor2);
			
			drawLines();			
		}
		
		
		public function getColor1():uint
		{
			return mColor1;
		}

		public function getColor2():uint
		{
			return mColor2;
		}

		
		public function setColor1(pColor1:uint):void
		{
			mColor1 = pColor1;
		}
		
		public function setColor2(pColor2:uint):void
		{
			mColor2 = pColor2;
		}
		
		
		private function drawLines():void
		{
			graphics.beginFill(mColor1);
			graphics.drawRect(LINE_WIDTH, 0, LINE_WIDTH, LINE_HEIGHT);
			graphics.endFill();
			
			graphics.beginFill(mColor2);
			graphics.drawRect(0, 0, LINE_WIDTH, LINE_HEIGHT);
			graphics.endFill();
		}
	}
}
